/**Begin D:\PDM_UPGRADE\PDM1\LM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_CPLIMIT') 
 CREATE TABLE T_LM_CPLIMIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FASSIGNTERM CHAR(1) DEFAULT ' ' NOT NULL,
FLIMITTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOEFFICIENTHIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSIGNPRODUCTHIS CHAR(1) DEFAULT ' ' NOT NULL,
FASSIGNPRODUCT CHAR(1) DEFAULT ' ' NOT NULL,
FTERM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISADJ CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_CPLIMIT_ENTRYS') 
 CREATE TABLE T_LM_CPLIMIT_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLIMITMATURITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWARNVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWARNADJVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWARNRESVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITADJVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITRESVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMALIMITVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSELIMITVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAWARNVAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_CPLIMIT_L') 
 CREATE TABLE T_LM_CPLIMIT_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_CPLIMIT_USE') 
 CREATE TABLE T_LM_CPLIMIT_USE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLIMID BIGINT DEFAULT 0 NOT NULL,
FLIMENTRYID BIGINT DEFAULT 0 NOT NULL,
FLIMITMATURITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTRADENO BIGINT DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_PRODUCT') 
 CREATE TABLE T_LM_PRODUCT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_PRODUCT_HIS') 
 CREATE TABLE T_LM_PRODUCT_HIS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_RISKLIMIT') 
 CREATE TABLE T_LM_RISKLIMIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FASSIGNTERM CHAR(1) DEFAULT ' ' NOT NULL,
FLIMITTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSIGNPRODUCT CHAR(1) DEFAULT ' ' NOT NULL,
FCOEFFICIENTHIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSIGNPRODUCTHIS CHAR(1) DEFAULT ' ' NOT NULL,
FTERM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMBINATIONID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISADJ CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_RISKLIMIT_ENTRYS') 
 CREATE TABLE T_LM_RISKLIMIT_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLIMITMATURITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWARNVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWARNADJVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWARNRESVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITADJVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITRESVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMALIMITVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSELIMITVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAWARNVAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_RISKLIMIT_L') 
 CREATE TABLE T_LM_RISKLIMIT_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LM_RISKLIMIT_USE') 
 CREATE TABLE T_LM_RISKLIMIT_USE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLIMID BIGINT DEFAULT 0 NOT NULL,
FLIMENTRYID BIGINT DEFAULT 0 NOT NULL,
FLIMITMATURITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTRADENO BIGINT DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\LM_table.sql **/
