﻿/**Begin D:\PDM_UPGRADE\PDM1\LM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_LM_CPLIMIT', 'T_LM_CPLIMIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LM_CPLIMIT_BILLNO') CREATE INDEX IDX_LM_CPLIMIT_BILLNO ON T_LM_CPLIMIT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LM_CPLIMIT_ENTRYS', 'T_LM_CPLIMIT_ENTRYS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CPLIM_ENTRYID') CREATE INDEX IDX_CPLIM_ENTRYID ON T_LM_CPLIMIT_ENTRYS ( FID );


 EXEC P_ALTERPK 'PK_T_LM_CPLIMIT_L', 'T_LM_CPLIMIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_LM_CPLIMIT_L') CREATE INDEX IDX_T_LM_CPLIMIT_L ON T_LM_CPLIMIT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LM_CPLIMIT_USE', 'T_LM_CPLIMIT_USE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LM_CPLIMITUSE_BILLNO') CREATE INDEX IDX_LM_CPLIMITUSE_BILLNO ON T_LM_CPLIMIT_USE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LM_PRODUCT', 'T_LM_PRODUCT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_LM_PRODUCT') CREATE INDEX IDX_T_LM_PRODUCT ON T_LM_PRODUCT ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_LM_PRODUCT_HIS', 'T_LM_PRODUCT_HIS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_LM_PRODUCT_HIS') CREATE INDEX IDX_T_LM_PRODUCT_HIS ON T_LM_PRODUCT_HIS ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_LM_RISKLIMIT', 'T_LM_RISKLIMIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LM_RISKLIMIT_BILLNO') CREATE INDEX IDX_LM_RISKLIMIT_BILLNO ON T_LM_RISKLIMIT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_LM_RISKLIMIT_ENTRYS', 'T_LM_RISKLIMIT_ENTRYS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RISKLIM_ENTRYID') CREATE INDEX IDX_RISKLIM_ENTRYID ON T_LM_RISKLIMIT_ENTRYS ( FID );


 EXEC P_ALTERPK 'PK_T_LM_RISKLIMIT_L', 'T_LM_RISKLIMIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_LM_RISKLIMIT_L') CREATE INDEX IDX_T_LM_RISKLIMIT_L ON T_LM_RISKLIMIT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_LM_RISKLIMIT_USE', 'T_LM_RISKLIMIT_USE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LM_RISKLIMITUSE_BILLNO') CREATE INDEX IDX_LM_RISKLIMITUSE_BILLNO ON T_LM_RISKLIMIT_USE ( FBILLNO );



/**End D:\PDM_UPGRADE\PDM1\LM_constraint.sql **/
